# Draw
TKDCAF
DDF

# DDF Class Reference

Provides facilities to manipulate data framework
in a Draw-Commands environment.
.

`#include <DDF.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | GetDF (Standard_CString &Name, Handle(TDF_Data)&DF, const Standard_Boolean Complain=Standard_True)
| Search in draw directory the framewok identified by its name <name>. returns True if found. In that case <df> is setted. .
static Standard_EXPORT Standard_Boolean | FindLabel (const Handle(TDF_Data)&DF, const Standard_CString Entry, TDF_Label &Label, const Standard_Boolean Complain=Standard_True)
| Search in <df> the label identified by its entry <entry>. returns <true> if found. In that case <label> is setted. .
static Standard_EXPORT Standard_Boolean | AddLabel (const Handle(TDF_Data)&DF, const Standard_CString Entry, TDF_Label &Label)
| Search in <df> the label identified by its entry <entry>. if label doesn't exist, create and add the Label in <df>. In that case return True. .
static Standard_EXPORT Standard_Boolean | Find (const Handle(TDF_Data)&DF, const Standard_CString Entry, const Standard_GUID &ID, Handle(TDF_Attribute)&A, const Standard_Boolean Complain=Standard_True)
| Search in <df> the attribute identified by its <id> and its <entry>. returns <true> if found. In that case A is setted. .
static Standard_EXPORT Draw_Interpretor & | ReturnLabel (Draw_Interpretor &theCommands, const TDF_Label &L)
static Standard_EXPORT void | AllCommands (Draw_Interpretor &theCommands)
static Standard_EXPORT void | BasicCommands (Draw_Interpretor &theCommands)
| Basic commands. .
static Standard_EXPORT void | DataCommands (Draw_Interpretor &theCommands)
| Data framework commands create, clear & copy. .
static Standard_EXPORT void | TransactionCommands (Draw_Interpretor &theCommands)
| open commit abort a transaction undo facilities.
static Standard_EXPORT void | BrowserCommands (Draw_Interpretor &theCommands)
| Browser commands . .

## Member Function Documentation

static Standard_EXPORT Standard_Boolean DDF::AddLabel | ( | const Handle(TDF_Data)& | DF,
|  | const Standard_CString | Entry,
|  | TDF_Label & | Label
| ) | `[static]`

static Standard_EXPORT void DDF::AllCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT void DDF::BasicCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT void DDF::BrowserCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT void DDF::DataCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

static Standard_EXPORT Standard_Boolean DDF::Find | ( | const Handle(TDF_Data)& | DF,
|  | const Standard_CString | Entry,
|  | const Standard_GUID & | ID,
|  | Handle(TDF_Attribute)& | A,
|  | const Standard_Boolean | Complain = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean DDF::FindLabel | ( | const Handle(TDF_Data)& | DF,
|  | const Standard_CString | Entry,
|  | TDF_Label & | Label,
|  | const Standard_Boolean | Complain = `Standard_True`
| ) | `[static]`

static Standard_EXPORT Standard_Boolean DDF::GetDF | ( | Standard_CString & | Name,
|  | Handle(TDF_Data)& | DF,
|  | const Standard_Boolean | Complain = `Standard_True`
| ) | `[static]`

void DDF::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DDF::operator new | ( | size_t | size | ) | `[inline]`

void* DDF::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Draw_Interpretor& DDF::ReturnLabel | ( | Draw_Interpretor & | theCommands,
|  | const TDF_Label & | L
| ) | `[static]`

static Standard_EXPORT void DDF::TransactionCommands | ( | Draw_Interpretor & | theCommands | ) | `[static]`

The documentation for this class was generated from the following file:

- DDF.hxx